# $Revision: 1.39 $, $Date: 2010/11/12 23:38:05 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Event
%define		pnam	Event
Summary:	Event - a generic Perl event loop
Summary(pl.UTF-8):	Event - ogólna pętla zdarzeń dla Perla
Name:		perl-Event
Version:	1.13
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Event/%{pnam}-%{version}.tar.gz
# Source0-md5:	88cf5bb6b4b06e016072a5ff2ff8fa1a
URL:		http://search.cpan.org/dist/Event/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Event extension aims to provide an simple and optimized event
loop for a broad class of applications.

%description -l pl.UTF-8
Rozszerzenie Event ma na celu udostępnienie szerokiej klasie aplikacji
prostej i zoptymalizowanej pętli zdarzeń.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ANNOUNCE ChangeLog README TODO

%{perl_vendorarch}/Event.pm
%{perl_vendorarch}/Event
%dir %{perl_vendorarch}/auto/Event
%{perl_vendorarch}/auto/Event/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Event/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Event.spec,v $
Revision 1.39  2010/11/12 23:38:05  pawelz
- release 3

Revision 1.38  2010/06/06 08:36:00  arekm
- release 2

Revision 1.37  2009/10/20 07:48:25  amateja
- updated to 1.13

Revision 1.36  2009/09/14 06:36:28  amateja
- updated to 1.12

Revision 1.35  2009/06/17 07:28:13  amateja
- updated to 1.11

Revision 1.34  2009/03/14 11:45:56  hawk
- release 4

Revision 1.33  2008/03/02 17:31:13  radek
- release 3

Revision 1.32  2008-02-08 13:49:01  arekm
- rel 2

Revision 1.31  2008-01-23 21:05:56  qboosh
- generic URL

Revision 1.30  2008-01-16 18:39:43  agaran
- up to 1.10, rel 1, builds here,

Revision 1.29  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.28  2007-08-07 12:39:21  wolvverine
- rel.2

Revision 1.27  2007/06/30 21:00:14  arekm
- up to 1.09

Revision 1.26  2007/02/13 07:16:55  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.24  2006/07/27 18:22:47  agaran
- up to 1.06, rel 0.1, builds here

Revision 1.23  2004/12/12 10:21:46  adamg
- updated to 1.02

Revision 1.22  2004/12/01 12:49:08  radek
- autoupdated to 1.01

Revision 1.21  2004/11/03 22:30:20  paladine
- formatting

Revision 1.20  2004/06/05 18:10:38  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.19  2004/05/15 07:04:35  adamg
- updated to 1.00

Revision 1.18  2004/05/07 00:32:01  ankry
- rel. 2

Revision 1.17  2004/05/06 18:09:33  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/25 21:51:53  ankry
- cosmetics: unification

Revision 1.15  2004/04/25 16:43:11  adamg
- updated to 0.88

Revision 1.14  2004/04/22 20:42:11  ankry
- bconds added

Revision 1.13  2004/04/20 08:33:11  ankry
- better summary/description, license fixes and unification

Revision 1.12  2004/02/16 17:27:49  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.11  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:44  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 19:08:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/28 10:08:21  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/02/25 00:38:34  radek
- use the __perl macro

Revision 1.3  2003/02/18 22:57:01  ankry
- autoupdated to 0.87

Revision 1.2  2003/02/18 15:32:00  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/27 23:32:51  ankry
- new spec
